summaryrefslogtreecommitdiffstats
path: root/board/MAI/bios_emulator/scitech/bin/build
diff options
context:
space:
mode:
Diffstat (limited to 'board/MAI/bios_emulator/scitech/bin/build')
-rw-r--r--board/MAI/bios_emulator/scitech/bin/build22
1 files changed, 22 insertions, 0 deletions
diff --git a/board/MAI/bios_emulator/scitech/bin/build b/board/MAI/bios_emulator/scitech/bin/build
new file mode 100644
index 0000000000..ff1973dc81
--- /dev/null
+++ b/board/MAI/bios_emulator/scitech/bin/build
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+if [ $# -lt 1 ] || ( [ "$1" != gcc-linux ] && [ "$1" != qnx4 ] ) ; then
+ echo Usage: $0 compiler_name [DMAKE commands]
+ echo
+ echo Current compilers:
+ echo " gcc-linux - GNU C/C++ 2.7 or higher, 32 bit"
+ echo " qnx4 - Watcom C/C++ 10.6 or higher, 32 bit"
+ exit 1
+fi
+
+unset DBG OPT OPT_SIZE BUILD_DLL IMPORT_DLL FPU CHECKS BETA
+. ${1}.sh
+
+shift
+dmake $* && exit 0
+
+echo *************************************************
+echo * An error occurred while building the library. *
+echo *************************************************
+exit 1
+
OpenPOWER on IntegriCloud